Need to update my O3DS. Safest way?

Discussion in '3DS - Flashcards & Custom Firmwares' started by Drak0rex, Oct 19, 2015.

  1. Drak0rex
    OP

    Drak0rex GBAtemp Advanced Maniac

    Member
    1,905
    698
    Oct 12, 2014
    United States
    I have a 4.5 O3DS that I want to update to 9.2. I have a gateway and I'm pretty sure I read that you can update sysnand from a rom. I've searched google, but cannot find the answer I'm looking for.
     


  2. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    11,474
    4,782
    Mar 17, 2010
    Norway
    Alola
    Nevermind
     
    Last edited by The Real Jdbye, Oct 19, 2015
  3. Drak0rex
    OP

    Drak0rex GBAtemp Advanced Maniac

    Member
    1,905
    698
    Oct 12, 2014
    United States
    And this will update the sysnand while in emunand?
     
  4. Tony_93

    Tony_93 GBAtemp Addict

    Member
    2,118
    961
    Jun 13, 2015
    United States
    California
    I tried looking for that rom everywhere and couldn't find it, people who posted that they had it haven't logged-in in a long time.

    Best you can do is use sysupdater, here is a safe way how:

    1)Install sysupdater in your system nand
    2)Get rxTools 2.5.2 from rxtools.net
    3)Get the 9.2 update from some iso site and place the updates folder in the root of your SD card.
    4)Launch rxTools it in Dev Mode
    5)Press A to update

    I have done it 3 times, lots of others have, using Gateway mode or rxMode bricks your 3DS due to firmlaunch, rxTools Dev Mode doesn't use firmlaunch.
     
  5. TidusWulf

    TidusWulf Real Aloha

    Member
    595
    227
    Jul 27, 2007
    United States
    Hawaii
    What this guy said. It's safer than the smash bros method, since there's no guarantee that your copy of smash has the correct update. Aside from that, IIRC, carts don't offer the correct browser update, so even you you're on 9.2.0, you won't necessarily be on 9.2.0-20 if you update with a smash cart.
     
  6. zoogie

    zoogie simple pimp tool

    Member
    6,161
    7,787
    Nov 30, 2014
    United States
    No, smash bros is the safest (by virtue of human error). You can get the correct rev by the serial on the back of the cart
    https://gbatemp.net/threads/super-smash-bros-3ds-9-2-0-17u-update.381537/page-7#post-5643800
    The only caveat is that your browser version (last number on firm ie. 4.5.0-0U) cannot be zero. Carts do not update the browser.

    But, OP, if you can actually follow directions unlike 90% of the people here, the above devmode/sysupdater method above should work fine.
     
    Last edited by zoogie, Oct 19, 2015
  7. Drak0rex
    OP

    Drak0rex GBAtemp Advanced Maniac

    Member
    1,905
    698
    Oct 12, 2014
    United States
    Which one should I use? I downloaded 0.4.1 but it won't extract
     
  8. Tony_93

    Tony_93 GBAtemp Addict

    Member
    2,118
    961
    Jun 13, 2015
    United States
    California
    I have used 0.4.1 downloaded from here: https://github.com/profi200/sysUpdater/releases

    I just downloaded and extracted it a minute ago testing purposes, it was fine, so just redownload it from here, if you still can't open it I think there's something wrong with your internet downloads or your PC.
     
    Last edited by Tony_93, Oct 19, 2015 - Reason: Typo fix
  9. Drak0rex
    OP

    Drak0rex GBAtemp Advanced Maniac

    Member
    1,905
    698
    Oct 12, 2014
    United States
    Ok, I'm not understanding how to install it to my sysnand. I ran FBI, changed the target, it said it installed correctly, but nothing shows up.
     
  10. Tony_93

    Tony_93 GBAtemp Addict

    Member
    2,118
    961
    Jun 13, 2015
    United States
    California
    Install it in SD destinaton, not NAND.
     
  11. Drak0rex
    OP

    Drak0rex GBAtemp Advanced Maniac

    Member
    1,905
    698
    Oct 12, 2014
    United States
    But you just said...
     
  12. Tony_93

    Tony_93 GBAtemp Addict

    Member
    2,118
    961
    Jun 13, 2015
    United States
    California
    I meant system nand as not into emunand, but sysnand's SD.
     
  13. Drak0rex
    OP

    Drak0rex GBAtemp Advanced Maniac

    Member
    1,905
    698
    Oct 12, 2014
    United States
    Well it's too late now...

    Also, not quite sure I follow.
    What does this mean? there's only one SD
     
    Last edited by Drak0rex, Oct 19, 2015
  14. Tony_93

    Tony_93 GBAtemp Addict

    Member
    2,118
    961
    Jun 13, 2015
    United States
    California
    Just ignore it and procceed as normal I guess?

    Remember this: Games and apps always go into SD. NAND is for titles.
     
  15. Tony_93

    Tony_93 GBAtemp Addict

    Member
    2,118
    961
    Jun 13, 2015
    United States
    California
    When you boot your 3DS you can be into your regular sysnand and emunand.

    When you boot into your sysnand and launch FBI it allows you to install cias in your NAND and your SD card, the NAND is your 3DS insternal memory, system updates/titles and DSiware get installed here and the SD is where the 3DS games go.

    So you boot into sysnand and use FBI to install stsupdater in the SD card as if it was a 3DS game.
     
  16. Drak0rex
    OP

    Drak0rex GBAtemp Advanced Maniac

    Member
    1,905
    698
    Oct 12, 2014
    United States
    I get a failure message when I try to install FBI to either nand.
     
  17. Tony_93

    Tony_93 GBAtemp Addict

    Member
    2,118
    961
    Jun 13, 2015
    United States
    California
    You are making it more complicated than it should be, when you try to install FBI? didn't you already have FBI??? If not, you probably don't have the import.db file and that's why you get the error.
     
  18. dark_samus3

    dark_samus3 GBAtemp Addict

    Member
    2,314
    1,712
    May 30, 2015
    United States
    You have to be booted into a CFW that patches signatures

    EDIT: that or the above guy is right and you just don't have import.db or title.db in the correct locations on your SD card
     
    Last edited by dark_samus3, Oct 19, 2015
  19. Drak0rex
    OP

    Drak0rex GBAtemp Advanced Maniac

    Member
    1,905
    698
    Oct 12, 2014
    United States
    I'm sorry. It's very late. I'm very tired. I'm not trying to be difficult. I really am trying to follow you.

     
  20. Tony_93

    Tony_93 GBAtemp Addict

    Member
    2,118
    961
    Jun 13, 2015
    United States
    California
    A few things

    1) How are you accessing FBI?
    2) Do you have Cubic Ninja? (it can help us make this easier)
    3) Have you ever installed a game/cia into your 3DS before?